/* Image Gallery/Thumbnail */
.product-carousel-thumbnail .carousel-thumbnail-container{
    /* Per Image: 70px height + 10px margin + 1px border * 2 (top and bottom) */
    height: calc((70px + 10px + 1px * 2)*5);
    overflow: hidden;
    position: relative;
    width: 70px;
}

.carousel-thumbnail-item{
    width: 70px;
    aspect-ratio: 1/1;
    margin-bottom: 10px;

    border: 1.6px solid rgb(227, 227, 227);
    object-fit: contain;
    cursor: pointer;

    /* display: none; */
    text-align: center;
    line-height: 70px;
}

.carousel-thumbnail-item img{
    display: inline-block;
    vertical-align: middle;
    max-width: 100%;
    max-height: 100%;
}

.button-control-carousel i{
    font-size: 30px;
    line-height: 30px;
}

.button-control-carousel{
    width: 70px;
    text-align: center;
    cursor: pointer;
}

.product-carousel-thumbnail .carousel-thumbnail-wrapper{
    position: absolute;
    top: 0;
    transition: top 0.2s ease;
}

.carousel-thumbnail-item.selected{
    border-color: rgb(84, 138, 182);
}

/* Carousel Content Image */
.product-carousel-content{
    width: 100%;
    margin-left: 10px;
}

.carousel-content-container{
    width: 100%;
    overflow: hidden;
    height: 420px;
    position: relative;
}

.carousel-content-item{
    max-width: 100%;
    padding: 40px 0;
    height: 420px;
    object-fit: contain;
    display: flex;
    align-items: center;
}

.product-carousel-content .carousel-content-wrapper{
    position: absolute;
    top: 0;
    transition: top 0.25s ease, transform 0.25s ease;
}

/* Zoom Image on Hover */
.carousel-content-item{
    overflow: hidden;
}

.carousel-content-item img{
    object-fit: contain;
    transform-origin: center center;
    cursor: crosshair;
    transition: transform 0.2s ease;
}

.carousel-content-item img:hover{
    transform: scale(2);
}

/* Product Name */
.product-detail .product-title{
    color: #333;
    font-weight: 700;
    font-size: 20px;
    margin-top: 20px;
    margin-bottom: 10px;
}

.product-detail .store-name{
    color: #a09fa0;
    font-size: 14px;
}

.product-detail .title-detail{
    min-width: 80px;
    color: #a09fa0;
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    margin-right: 10px;
}

.product-detail .detail-divider{
    padding-right: 10px;
}

.product-detail .title-detail,
.product-detail .detail-divider,
.product-detail .selected-detail{
    margin: 0;
}

.product-detail .selected-detail{
    flex:1 1 auto;
}

.color-variant{
    margin-bottom: 10px;
}
/* Dropdown */
.dropdown-container{
    position: relative;
    display: inline-block;
}

#product-detail .dropdown-selected .selected-detail,
#product-detail .dropdown-selected .nesticon-arrow-down{
    padding: 5px 10px;
}

#product-detail .dropdown-selected{
    border: 0.8px solid rgb(227, 227, 227);
    cursor: pointer;
    line-height: 28px;
}

.dropdown-container .vl{
    border-left: 0.8px solid rgb(227, 227, 227);
    min-height: 100%;
    width: 1px;
    padding: 5px 0;
}

.dropdown-container .dropdown-content{
    display: none;
    position: absolute;
    z-index: 1;
    text-align: left;
    border: 0.8px solid rgb(227, 227, 227);
    border-top: none;
    background-color: #fff;
}

.dropdown-container .dropdown-content > p{
    color: #333;
    width: 100%;
    padding: 10px;
    line-height: 1.5;
    height: 38px;
    display: inline-block;
    margin: 0;
}

.dropdown-container .dropdown-content > p.selected{
    background-color: rgb(250, 250, 250) ;
}

.dropdown-container .dropdown-content > p:hover{
    background-color: rgb(245, 245, 245);
}

.dropdown-content.show{
    display: block;
}

/* Bottom Container */
.navbar-details{
    font-weight: 700;
    letter-spacing: 1px;
    line-height: 50px;
    text-transform: uppercase;
    gap: 30px;
    color: #414042;
    margin-bottom: 0;
}

.nav-item-detail{
    cursor: pointer;
    list-style: none;
    border-bottom: 4px solid transparent;
}

.nav-item-detail:hover{
    border-bottom: 4px solid #414042;
}

.detail-container{
    background-color: rgb(245, 245, 245);
}

.detail-container .container-md{
    padding: 20px;
    row-gap: 15px;
    display: flex;
    flex-direction: column;
}

.content-container{
    background-color: #fff;
    padding: 15px;
    max-height: 300px;
    overflow: hidden;
    position: relative;
    transition: all 0.2s ease;
}

.content-container h3{
    font-weight: 400;
    font-size: 14px;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.read-more{
    position: absolute;
    left: 0px;
    bottom: 0px;
    width: 100%;
    display: inline-block;
    height: 150px;
    content: "";
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) 120px, white 30px);
}

.read-more-link{
    cursor: pointer;
    font-size: 16px;
    color: #30577e;
    position: absolute;
    left: 15px;
    bottom: 15px;
}

.read-more-link > span{
    padding: 2px;
    border-radius: 50%;
    border: 1px solid;
    font-weight: 700 !important;
    aspect-ratio: 1/1;

    content: '\e800';
    font-family: fontello;
    font-style: normal;
    font-size: 12px;

    margin-right: 10px;
}

.read-more-link > span::before{
    content: '\e800';
}

.read-more.hide{
    display: none;
}

.expanded{
    max-height: none;
}

.content-container ul{
    padding-left: 15px;
}

/* Product Not Found */
#not-found{
    padding: 30px;
    color: #a09fa0;
}

#not-found > *{
    margin-bottom: 10px;
}

#not-found h2{
    font-size: 18px;
    font-family: "Work Sans", sans-serif;
    font-weight: 400;
}

#not-found p{
    font-size: 12px;
    font-family: "Libre Baskerville", serif;
    font-style: italic;
}

/* Responsive */
@media (max-width: 768px) {
    .carousel-content-item{
        min-width: 100%;
    }

    .product-carousel-slider{
        list-style-type: none;
        gap:10px;
        line-height: 10px;
    }

    .product-carousel-slider .slider-index{
        background-color: #e3e3e3;
        border-radius: 50%;
        width: 10px;
        height: 10px;
    }

    .product-carousel-slider .slider-index.selected{
        background-color: #548ab6;
    }

    .carousel-content-container{
        height: 100%;
    }

    .carousel-content-item{
        height: 100%;
        padding: 0;
        padding-top: 15px;
        min-width: 100%
    }

    .carousel-content-item img:hover{
        transform: scale(1.1);
        cursor: unset;
    }

    #product-detail{
        padding: 0 15px;
    }

    .product-detail .product-title{
        margin-top: 0px;
        font-size: 16px;
    }

    .product-detail .store-name{
        font-size: 12px;
    }

    .navbar-details{
        justify-content: space-evenly;
        white-space: nowrap;
        overflow: hidden;
        overflow-x: auto;
        gap:20px;
        width: 100%;
        padding: 0 10px;
    }
}